<?php

class PaDefault extends CustomPage {
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='微博列表';
		$this->getUser('1,2,3,4,5,');
		$this->sTemplatePath='Comm/circleList_Normal.php';
		
	}


	public function getSearch($pValue,$pType){
/*

所有
	名称
	分类
	地区
	家乡
	大学
	工作单位
	高中
	初中
	小学
	其它
	性别
	爱好
	年龄
	血型
	星座
	婚恋
	标签

参与过的
评论过的


姓名,Nickname,
查询类型,SearchType,-1
地区,Co_ZoneChoose,
家乡,Info_Hometown,
大学,Info_School_University,
工作单位,Co_Company,
高中,Info_School_High,
初中,Info_School_JuniorHigh,
小学,Info_School_Primary,
其它,Info_School_Other,
性别,Co_Sex,-1
爱好,Info_Hobby,
年龄,Info_Age,-1
血型,Info_BloodType,-1
星座,Info_Constellation,-1
婚恋,Info_Marriage,-1
属相,Info_Zodiac,-1
标签,Tag,
排序,OrderBy,ID

*/
		//-- #VALUE --
		$tmpAR0=$this->sSearchAR;
		//Nickname
		if($pType==0) $tmpAR0[0]=$pValue;
		//SearchType
		if($pType==1) $tmpAR0[1]=$pValue;
		//Co_ZoneChoose
		if($pType==2) $tmpAR0[2]=$pValue;
		//Info_Hometown
		if($pType==3) $tmpAR0[3]=$pValue;
		//Info_School_University
		if($pType==4) $tmpAR0[4]=$pValue;
		//Co_Company
		if($pType==5) $tmpAR0[5]=$pValue;
		//Info_School_High
		if($pType==6) $tmpAR0[6]=$pValue;
		//Info_School_JuniorHigh
		if($pType==7) $tmpAR0[7]=$pValue;
		//Info_School_Primary
		if($pType==8) $tmpAR0[8]=$pValue;
		//Info_School_Other
		if($pType==9) $tmpAR0[9]=$pValue;
		//Co_Sex
		if($pType==10) $tmpAR0[10]=$pValue;
		//Info_Hobby
		if($pType==11) $tmpAR0[11]=$pValue;
		//Info_Age
		if($pType==12) $tmpAR0[12]=$pValue;
		//Info_BloodType
		if($pType==13) $tmpAR0[13]=$pValue;
		//Info_Constellation
		if($pType==14) $tmpAR0[14]=$pValue;
		//Info_Marriage
		if($pType==15) $tmpAR0[15]=$pValue;
		//Info_Zodiac
		if($pType==16) $tmpAR0[16]=$pValue;
		//Tag
		if($pType==17) $tmpAR0[17]=$pValue;
		//OrderBy
		if($pType==18) $tmpAR0[18]=$pValue;

		//-- #SPICAL --
		if ($pType==100) {
			/*
			$tmpAR0[8]=0;
			$tmpAR0[9]=0;
			$tmpAR0[10]=0;
			$tmpAR0[11]=0;
			$tmpAR0[12]=0;
			*/
		}else if ($pType==101) {
		}
		//-- #SPELL --
		$tmpSTR=$this->sysPage.'?DSearch='.
			$tmpAR0[0].$this->sysSPLIT1.
			$tmpAR0[1].$this->sysSPLIT1.
			$tmpAR0[2].$this->sysSPLIT1.
			$tmpAR0[3].$this->sysSPLIT1.
			$tmpAR0[4].$this->sysSPLIT1.
			$tmpAR0[5].$this->sysSPLIT1.
			$tmpAR0[6].$this->sysSPLIT1.
			$tmpAR0[7].$this->sysSPLIT1.
			$tmpAR0[8].$this->sysSPLIT1.
			$tmpAR0[9].$this->sysSPLIT1.
			$tmpAR0[10].$this->sysSPLIT1.
			$tmpAR0[11].$this->sysSPLIT1.
			$tmpAR0[12].$this->sysSPLIT1.
			$tmpAR0[13].$this->sysSPLIT1.
			$tmpAR0[14].$this->sysSPLIT1.
			$tmpAR0[15].$this->sysSPLIT1.
			$tmpAR0[16].$this->sysSPLIT1.
			$tmpAR0[17].$this->sysSPLIT1.
			$tmpAR0[18];
		return $tmpSTR;
	}
	
}
?>